<?php
$GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"] ?: array()) + array("_b1dd56266fec1e595c364d7b" . "fc1254cb" => base64_decode("VVBEQVRFIHB1Ymxpc2hfbm90aWZpY2F0aW9ucyBTRVQgdXNlcl9pZD1pbnQ6bmV3X2lkIFdIRVJFIHVzZ" . "XJfaWQ9aW50OnVfaWQ="), "_20a787300c0455250233fd06fa" . "0384f4" => base64_decode("REVMRVRFIEZST00gcHVibGlzaF9ub3RpZmljYXRpb25zIFdIRVJFIHVzZXJfaWQgSU" . "4gaW46aW50OnVzZXJzIEFORCBwYWdlX2lkPWludDpwX2lkIEFORCBvbmNlID0gMQ=="), "_b707d436" . "7ddde579d" . "81c047d54" . "4710e3" => base64_decode("REVMRVRFIEZST00gcHVibGlzaF9ub3RpZmljYXRpb25zIFdIRVJFIHVzZXJfaWQ9aW50OnVfaWQgQU5EIHBhZ2VfaWQ9aW50OnBfa" . "WQ="), "_48467b7a05f92d5ee95d49" . "0c490118d1" => base64_decode("REVMRVRFIEZST00gcHVibGlzaF9ub3Rp" . "ZmljYXRpb25zIFdIRVJFIHBhZ2VfaWQ9" . "aW50OnBfaWQ="), "_53bfc51e054c55b09ffaa67" . "e35743c96" => base64_decode("VVBEQVRFIHB1Ymxpc2hfbm90aWZpY2F0aW9ucyBTRVQgb25jZT1pbnQ6b25jZSBXSEVSRSB1c2VyX2lkPWludDp1X2lkIEFORC" . "BwYWdlX2lkPWludDp1X2lk"), "_4ae48f0b4a" . "26d39f5b586" . "b01beb33fec" => base64_decode("SU5TRVJUIElOVE8gcHVibGlzaF9ub3RpZmljYXRpb25zICh1c2VyX2lkLCBwYWdlX2lkLCBvbmNlKSBWQUxVRVMgKGludDp1X2lkLCBpbnQ6cF" . "9pZCwgaW50Om9uY2Up"), "_e656e7cb7f4bfc035d" . "d97e8a7055b847" => base64_decode("REVMRVRFIEZST00gcHVibGlzaF9u" . "b3RpZmljYXRpb25zIFdIRVJFIHVz" . "ZXJfaWQ9aW50OnVfaWQ="), "_c06c961f393" . "742ecfd52b72" . "263ac9470" => base64_decode("aW50dmF" . "s"), "_2563c0d294" . "fc62089228d" . "12c57f6da77" => base64_decode("U0VMRUNUIG9uY2UgRlJPTSBwdWJsaXNoX25vdGlmaWNhdGlvbnMgV0hFUkUgdXNlcl9pZCA9IGludDp1X2" . "lkIEFORCBwYWdlX2lkID0gaW50OnBfaWQ="), "_ffc655ae461b838dffa4551784bac" . "fca" => base64_decode("U0VMRUNUICogRlJPTSBwdWJsaXNoX25vdGlmaWNhdGlvbnMgV0hFUkUgdXNlcl9pZD1pbnQ6dV9pZC" . "BBTkQgcGFnZV9pZD1pbnQ6cF9pZA=="), "_11bb4e3dc1e3624a6ecb56860f9d" . "ead0" => base64_decode("U0VMRUNUIHVzZXJfaWQgRlJPTSBwdWJsaXNoX25vdGlmaWNhdGlvbn" . "MgV0hFUkUgcGFnZV9pZD1pbnQ6cF9pZA=="));
use Claromentis\Core\Services;
use Claromentis\Core\DAL;





class PublishNotification extends ErrorHandler
{
    
    
    
    
    public $user_id;
    
    
    
    
    public $page_id;
    
    
    
    
    public $once;
    
    
    
    
    
    
    
    
    
    
    
    
    
    public function __construct($page_id, $_9e63546aa974e7187280d9182de56699 = false)
    {
        $this->page_id = $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_c06c961f393742ecfd52" . "b72263ac9470"]($page_id);
        $this->user_id = AuthUser::I()->GetId();
        $this->once = $_9e63546aa974e7187280d9182de56699;
    }
    
    
    
    
    
    
    
    public function Save()
    {
        $db = Services::I()->GetDb();
        $_1f24efd4735b7a11b391147435e7d35d = $db->query($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_2563c0d2" . "94fc62089" . "228d12c57" . "f6da77"], $this->user_id, $this->page_id);
        if ($_1f24efd4735b7a11b391147435e7d35d->hasData()) {
            list($_9e63546aa974e7187280d9182de56699) = $_1f24efd4735b7a11b391147435e7d35d->fetchRow();
            if ($_9e63546aa974e7187280d9182de56699 != $this->once) {
                $db->query($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_53bfc51e054c55b09ffaa6" . "7e35743c96"], $GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_c06c961f393742ec" . "fd52b72263ac9470"]($this->once), $this->user_id, $this->page_id);
            }
        } else {
            $query = new DAL\Query($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_4ae48f0b4a26d39f5b586b01be" . "b33fec"], $this->user_id, $this->page_id, $GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_c06c961f393" . "742ecfd52b72" . "263ac9470"]($this->once));
            $db->query($query);
        }
    }
    
    
    
    
    public function Delete()
    {
        $db = Services::I()->GetDb();
        $db->query($GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_b707d4367d" . "dde579d81c0" . "47d544710e3"], $this->user_id, $this->page_id);
    }
    
    
    
    
    
    
    public function DeleteSentNotifications($_e4543e131c67c631b14751cc849d1310)
    {
        $db = Services::I()->GetDb();
        if (!empty($_e4543e131c67c631b14751cc849d1310)) {
            $db->query($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_20a787300c04" . "55250233fd06f" . "a0384f4"], $_e4543e131c67c631b14751cc849d1310, $this->page_id);
        }
    }
    
    
    
    
    
    
    static function DeleteNotificationsForPage($page_id)
    {
        $db = Services::I()->GetDb();
        $db->query($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_48467b7a" . "05f92d5ee" . "95d490c49" . "0118d1"], $page_id);
    }
    
    
    
    
    
    
    static function DeleteNotificationsForUser($user_id)
    {
        $db = Services::I()->GetDb();
        $db->query($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_e656e7cb7f" . "4bfc035dd97" . "e8a7055b847"], $user_id);
    }
    
    
    
    
    
    
    
    static function ReassignNotifications($user_id, $_4b3e34c8eac2f3dfca4b187bd615a53c)
    {
        $db = Services::I()->GetDb();
        $db->query($GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_b1dd56266fec1e5" . "95c364d7bfc1254c" . "b"], $_4b3e34c8eac2f3dfca4b187bd615a53c, $user_id);
    }
    
    
    
    
    public function SetOnce($_9e63546aa974e7187280d9182de56699)
    {
        $this->once = (bool) $_9e63546aa974e7187280d9182de56699;
    }
    
    
    
    
    
    
    public function IsMonitored()
    {
        $db = Services::I()->GetDb();
        $_1f24efd4735b7a11b391147435e7d35d = $db->query($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_ffc655ae461b838dffa4551" . "784bacfca"], $this->user_id, $this->page_id);
        if ($_1f24efd4735b7a11b391147435e7d35d->hasData()) {
            return true;
        } else {
            return false;
        }
    }
    
    
    
    
    
    
    public function GetUsersMonitored()
    {
        $db = Services::I()->GetDb();
        $_1f24efd4735b7a11b391147435e7d35d = $db->query($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_11bb4e3dc1e3624a6ecb56860f" . "9dead0"], $this->page_id);
        $_5882c836e9757b405d08e77f1fd2a18b = $_1f24efd4735b7a11b391147435e7d35d->fetchAllValues();
        return $_5882c836e9757b405d08e77f1fd2a18b;
    }
}